#include "Player.h"
#include "Include/GSLDateiV.h"

using namespace GSL;

#ifdef WIN32
extern GSLPlayer *_player;
static int numInits = 0;

int WINAPI DllMain( HINSTANCE hinst, DWORD fdwReason, LPVOID lpvReserved )
{
	switch( fdwReason )
	{
	case DLL_PROCESS_DETACH:
		delete _player;
		_player = 0;
		break;
	case DLL_PROCESS_ATTACH:
		_player = new GSLPlayer();
		return 1;
	}
	return 0;
}
#endif

extern "C"
{
	__declspec( dllexport ) GSLSoundV *getSound( SoundKopf &kpf )
	{
		return new GSLSound( kpf );
	}

	__declspec( dllexport ) GSLDateiV *getGSLDatei()
	{
		return new GSLDatei();
	}
}